---
title: Intl.DateTimeFormat.prototype.resolvedOptions()
slug: Web/JavaScript/Reference/Global_Objects/Intl/DateTimeFormat/resolvedOptions
tags:
  - DateTimeFormat
  - Internationalization
  - Intl
  - JavaScript
  - Method
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.DateTimeFormat.prototype.resolvedOptions()</code></strong> method returns a new object with properties reflecting the locale and date and time formatting options computed during initialization of this {{jsxref("DateTimeFormat", "DateTimeFormat")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/intl-datetimeformat-prototype-resolvedoptions.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateTimeFormat</var>.resolvedOptions()</pre>

<h3 id="Return_value">Return value</h3>

<p>A new object with properties reflecting the locale and date and time formatting options computed during the initialization of the given {{jsxref("DateTimeFormat")}} object.</p>

<h2 id="Description">Description</h2>

<p>The resulting object has the following properties:</p>

<dl>
 <dt><code>locale</code></dt>
 <dd>The BCP 47 language tag for the locale actually used. If any Unicode extension values were requested in the input BCP 47 language tag that led to this locale, the key-value pairs that were requested and are supported for this locale are included in <code>locale</code>.</dd>
 <dt><code>calendar</code></dt>
 <dd>E.g. "gregory"</dd>
 <dt><code>numberingSystem</code></dt>
 <dd>The values requested using the Unicode extension keys <code>"ca"</code> and <code>"nu"</code> or filled in as default values.</dd>
 <dt><code>timeZone</code></dt>
 <dd>The value provided for this property in the <code>options</code> argument; {{jsxref("undefined")}} (representing the runtime's default time zone) if none was provided. Warning: Applications should not rely on {{jsxref("undefined")}} being returned, as future versions may return a {{jsxref("String")}} value identifying the runtime’s default time zone instead.</dd>
 <dt><code>hour12</code></dt>
 <dd>The value provided for this property in the <code>options</code> argument or filled in as a default.</dd>
 <dt><code>weekday</code></dt>
 <dt><code>era</code></dt>
 <dt><code>year</code></dt>
 <dt><code>month</code></dt>
 <dt><code>day</code></dt>
 <dt><code>hour</code></dt>
 <dt><code>minute</code></dt>
 <dt><code>second</code></dt>
 <dt><code>timeZoneName</code></dt>
 <dd>The values resulting from format matching between the corresponding properties in the <code>options</code> argument and the available combinations and representations for date-time formatting in the selected locale. Some of these properties may not be present, indicating that the corresponding components will not be represented in formatted output.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_resolvedOptions_method">Using the resolvedOptions method</h3>

<pre class="brush: js notranslate">var germanFakeRegion = new Intl.DateTimeFormat('de-XX', { timeZone: 'UTC' });
var usedOptions = germanFakeRegion.resolvedOptions();

usedOptions.locale;          // "de"
usedOptions.calendar;        // "gregory"
usedOptions.numberingSystem; // "latn"
usedOptions.timeZone;        // "UTC"
usedOptions.month;           // "numeric"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-intl.datetimeformat.prototype.resolvedoptions', 'Intl.DateTimeFormat.prototype.resolvedOptions')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.DateTimeFormat.resolvedOptions")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("DateTimeFormat", "Intl.DateTimeFormat")}}</li>
</ul>
